GNU bug report logs - #42342
Wine64 segfaults (5.12/staging)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Leo Prikler <leo.prikler@HIDDEN>; dated Mon, 13 Jul 2020 09:55:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 42342 <at> debbugs.gnu.org:


Received: (at 42342) by debbugs.gnu.org; 9 Aug 2020 14:03:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 09 10:03:20 2020
Received: from localhost ([127.0.0.1]:33205 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k4luy-0003dG-CH
	for submit <at> debbugs.gnu.org; Sun, 09 Aug 2020 10:03:20 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:56789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1k4lut-0003cq-KC
 for 42342 <at> debbugs.gnu.org; Sun, 09 Aug 2020 10:03:19 -0400
Received: from bababa (lfbn-idf2-1-572-13.w86-246.abo.wanadoo.fr
 [86.246.37.13]) (Authenticated sender: mail@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id A3E8924000C;
 Sun,  9 Aug 2020 14:03:08 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: "pelzflorian \(Florian Pelz\)" <pelzflorian@HIDDEN>, Jakub
 =?utf-8?B?S8SFZHppb8WCa2E=?= <kuba@HIDDEN>
Subject: Re: bug#42342: Wine64 segfaults (5.12/staging)
In-Reply-To: <877du8c51p.fsf@HIDDEN>
References: <87d04gdkkz.fsf@HIDDEN> <87y2n3bpin.fsf@HIDDEN>
 <20200730145445.qmtnb6m77ogh4nfo@gravity>
 <20200731123614.unf45a46y6etig2d@HIDDEN>
 <877du8c51p.fsf@HIDDEN>
Date: Sun, 09 Aug 2020 16:03:07 +0200
Message-ID: <87k0y7kjc4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 42342
Cc: 42342 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

OK, I think I got it.  I had to have _both_ wine and wine64 (staging or
not) in my profile.

Previously, the "wine" executable (for 32-bit apps) used to work when
wine64 alone was in the profile.  Now it looks like we need both.  Any
idea what changed?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl8wAhsACgkQm9z0l6S7
zH8s3wf/TtPDQ30sBV+FEJ0iy1u33LaJw957ajZSPbM4Iaz2W26Ys4MHQosCemwO
HgfUejs5ZJ0yiZfRwOLIfv08bIzc9GRUePM5SKjGKBUu/6dwXZ6e4fBG+xksIP9m
bQNIuV02/nULArvkvswoCwDRx37UOWpdnV1sF4eRdzeIgL/x22dY1Tb7BKzicaMs
bJAc8P694CO89XEmTbbeU3b0utyvs+o+BciFiUCDvyWUAr8a736m/HcLSCsIACxH
U9L/7hP+rJ968xZcHcg8yME23mSCvBipwTPAHqja72r4vsk0CoL80BmxSrIbBUmP
Wa+8Tc5sYZxSpF2OLDVOm08hvPwx2Q==
=1C1x
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at 42342 <at> debbugs.gnu.org:


Received: (at 42342) by debbugs.gnu.org; 9 Aug 2020 13:39:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 09 09:39:10 2020
Received: from localhost ([127.0.0.1]:60370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k4lXa-0002lf-Lj
	for submit <at> debbugs.gnu.org; Sun, 09 Aug 2020 09:39:10 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:58531)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1k4lXW-0002l8-UY
 for 42342 <at> debbugs.gnu.org; Sun, 09 Aug 2020 09:39:09 -0400
X-Originating-IP: 86.246.37.13
Received: from bababa (lfbn-idf2-1-572-13.w86-246.abo.wanadoo.fr
 [86.246.37.13]) (Authenticated sender: mail@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id DFA38C0004;
 Sun,  9 Aug 2020 13:38:59 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: "pelzflorian \(Florian Pelz\)" <pelzflorian@HIDDEN>, Jakub
 =?utf-8?B?S8SFZHppb8WCa2E=?= <kuba@HIDDEN>
Subject: Re: bug#42342: Wine64 segfaults (5.12/staging)
In-Reply-To: <20200731123614.unf45a46y6etig2d@HIDDEN>
References: <87d04gdkkz.fsf@HIDDEN> <87y2n3bpin.fsf@HIDDEN>
 <20200730145445.qmtnb6m77ogh4nfo@gravity>
 <20200731123614.unf45a46y6etig2d@HIDDEN>
Date: Sun, 09 Aug 2020 15:38:58 +0200
Message-ID: <877du8c51p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 42342
Cc: 42342 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Now that wine stable is 5.12, I can't use start 32-bit applications
anymore.  I tried from a clean wine prefix and I only get this error:

=2D-8<---------------cut here---------------start------------->8---
Segmentation fault
=2D-8<---------------cut here---------------end--------------->8---

Here is the end of the strace:

=2D-8<---------------cut here---------------start------------->8---
openat(AT_FDCWD, "/gnu/store/fhxjkwnv9w8a283f5qaiqq8hcmfmdap9-wine64-5.12/b=
in/../lib/wine32/wine/ntdll.dll.so", O_RDONLY|O_LARGEFILE|O_CLOEXEC) =3D -1=
 ENOENT (No such file or directory)
openat(AT_FDCWD, "/gnu/store/ajyl64ycr9vv51q2np68agwz2ad9lxqs-wine-5.12/lib=
/wine32/wine/ntdll.dll.so", O_RDONLY|O_LARGEFILE|O_CLOEXEC) =3D 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0P\360\302{4\0\0\0".=
.., 512) =3D 512
fstat64(3, {st_mode=3DS_IFREG|0555, st_size=3D941360, ...}) =3D 0
mmap2(0x7bc00000, 864996, PROT_READ, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =3D 0=
x7bc00000
mmap2(0x7bc1e000, 487424, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_FIXED|MAP_DE=
NYWRITE, 3, 0x1e000) =3D 0x7bc1e000
mmap2(0x7bc95000, 200704, PROT_READ, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3=
, 0x95000) =3D 0x7bc95000
mmap2(0x7bcc6000, 49152, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DE=
NYWRITE, 3, 0xc5000) =3D 0x7bcc6000
mmap2(0x7bcd2000, 4836, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANO=
NYMOUS, -1, 0) =3D 0x7bcd2000
close(3)                                =3D 0
openat(AT_FDCWD, "/gnu/store/ajyl64ycr9vv51q2np68agwz2ad9lxqs-wine-5.12/lib=
/wine32/libm.so.6", O_RDONLY|O_LARGEFILE|O_CLOEXEC) =3D -1 ENOENT (No such =
file or directory)
openat(AT_FDCWD, "/gnu/store/z4li262il798hbl0l1h1k3a5g7r6bffa-glibc-2.31/li=
b/libm.so.6", O_RDONLY|O_LARGEFILE|O_CLOEXEC) =3D 3
read(3, "\177ELF\1\1\1\3\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\241\0\0004\0\0\0"=
..., 512) =3D 512
fstat64(3, {st_mode=3DS_IFREG|0555, st_size=3D1109456, ...}) =3D 0
mmap2(NULL, 1048680, PROT_READ, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =3D 0x7eef=
f000
mmap2(0x7ef09000, 774144, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_FIXED|MAP_DE=
NYWRITE, 3, 0xa000) =3D 0x7ef09000
mmap2(0x7efc6000, 229376, PROT_READ, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3=
, 0xc7000) =3D 0x7efc6000
mmap2(0x7effe000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DEN=
YWRITE, 3, 0xfe000) =3D 0x7effe000
close(3)                                =3D 0
mprotect(0x7effe000, 4096, PROT_READ)   =3D 0
mprotect(0x7bc00000, 122880, PROT_READ|PROT_WRITE) =3D 0
mprotect(0x7bc1e000, 487424, PROT_READ|PROT_WRITE|PROT_EXEC) =3D 0
mprotect(0x7bc95000, 200704, PROT_READ|PROT_WRITE) =3D 0
mprotect(0x7bc95000, 200704, PROT_READ) =3D 0
mprotect(0x7bc1e000, 487424, PROT_READ|PROT_EXEC) =3D 0
mprotect(0x7bc00000, 122880, PROT_READ) =3D 0
mprotect(0x7bcc6000, 4096, PROT_READ)   =3D 0
=2D-- SIGSEGV {si_signo=3DSIGSEGV, si_code=3DSEGV_MAPERR, si_addr=3D0x30} -=
--
+++ killed by SIGSEGV +++
Segmentation fault
=2D-8<---------------cut here---------------end--------------->8---

Are 32-bit applications really working for some of you?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl8v/HIACgkQm9z0l6S7
zH9Ddwf/TPOh9N+Uy0xGHg4BcjC0IDLuTf4LSjXO8SDdHnLZlvKkZiAvdq8cH3l+
kwAwK8x7Y5ta+59FgpBhzgPoZjE3rjUxI/2GruAnd7sMjzabl6rZ51SkPTzcNDCw
Eo9MnvwAeviwBsRTWs3zxtfjeGzg53C/5U8WDmxdBU3dQZJCxbV9MWhYXQlb62hK
DEHoth6nS/Z0uX1gJpSHvGY2vUUvM1Trldtqqw4VdBBWBNnECBwP9JUhLEK8gcBK
ybs8l2yGlY2rtZPxAGRP81cLWnfog5LAkwm/SHYfG8YE8vB9dGHBxXM9vGDGumIB
K67ASTV3VMdCzHe9s8psX5P1moCuiQ==
=XP5l
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at 42342 <at> debbugs.gnu.org:


Received: (at 42342) by debbugs.gnu.org; 31 Jul 2020 12:37:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 31 08:37:43 2020
Received: from localhost ([127.0.0.1]:37527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k1UIB-0002oa-D8
	for submit <at> debbugs.gnu.org; Fri, 31 Jul 2020 08:37:43 -0400
Received: from pelzflorian.de ([5.45.111.108]:37554 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1k1UI8-0002oE-Be
 for 42342 <at> debbugs.gnu.org; Fri, 31 Jul 2020 08:37:42 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id C3A3A36057E;
 Fri, 31 Jul 2020 14:37:38 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1596199058;
 bh=ZHVhnvVwEPrzfqvYzO5hezVAldyeS3x30XuIbVDTz04=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=2T9SM3vc7kz0/WA7QdqoL7GOPFK9SSNuY/r4/3TLQFplxB3oajDo/6+kZiT2MHVEp
 PsL/9FUO0x2PWEEpRVXQdYKnMXUUUptLyk9Nqn0ESL9ENvKzf2XLu3CAgU0YGJ5iQT
 USPHlMJX1IdwBXV1/37OHCDWfvTfKflz8bxSXy6w=
Date: Fri, 31 Jul 2020 14:37:29 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Jakub =?utf-8?B?S8SFZHppb8WCa2E=?= <kuba@HIDDEN>
Subject: Re: bug#42342: Wine64 segfaults (5.12/staging)
Message-ID: <20200731123614.unf45a46y6etig2d@HIDDEN>
References: <87d04gdkkz.fsf@HIDDEN> <87y2n3bpin.fsf@HIDDEN>
 <20200730145445.qmtnb6m77ogh4nfo@gravity>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20200730145445.qmtnb6m77ogh4nfo@gravity>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42342
Cc: 42342 <at> debbugs.gnu.org, Pierre Neidhardt <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Jul 30, 2020 at 04:54:45PM +0200, Jakub Kądziołka wrote:
> $ guix environment --ad-hoc wine64 -- wine64 regedit
> 
> fired up the registry editor just fine.


Indeed, when running pure 64-bit applications (like VLC’s 64-bit
Windows build), using wine64 instead of wine works fine.  I did not
even know this command existed.

It seems the issue is only with WoW64, i.e. supporting both 32-bit and
64-bit programs.  The synopsis of wine64 claims it’s a WoW64 version.

For example, the installer of VLC’s 32-bit or 64-bit Windows version
fails to run.  The installer is claimed by binutils’ objdump program
to be a 32-bit i386 executable instead of i386:x86-64.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at 42342 <at> debbugs.gnu.org:


Received: (at 42342) by debbugs.gnu.org; 30 Jul 2020 14:54:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 30 10:54:53 2020
Received: from localhost ([127.0.0.1]:36491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k19xN-0005Ez-3q
	for submit <at> debbugs.gnu.org; Thu, 30 Jul 2020 10:54:53 -0400
Received: from pat.zlotemysli.pl ([37.59.186.212]:54002)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kuba@HIDDEN>) id 1k19xJ-0005Eo-AG
 for 42342 <at> debbugs.gnu.org; Thu, 30 Jul 2020 10:54:51 -0400
Received: (qmail 32210 invoked by uid 1009); 30 Jul 2020 16:54:47 +0200
Received: from 188.123.215.55 (kuba@HIDDEN@188.123.215.55) by
 pat.zlotemysli.pl (envelope-from <kuba@HIDDEN>,
 uid 1002) with qmail-scanner-2.08st 
 (clamdscan: 0.98.6/25888. spamassassin: 3.4.0. perlscan: 2.08st.  
 Clear:RC:1(188.123.215.55):. 
 Processed in 0.040001 secs); 30 Jul 2020 14:54:47 -0000
Received: from unknown (HELO gravity) (kuba@HIDDEN@188.123.215.55)
 by pat.zlotemysli.pl with SMTP; 30 Jul 2020 16:54:47 +0200
Date: Thu, 30 Jul 2020 16:54:45 +0200
From: Jakub =?utf-8?B?S8SFZHppb8WCa2E=?= <kuba@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: Wine64 segfaults (5.12/staging)
Message-ID: <20200730145445.qmtnb6m77ogh4nfo@gravity>
References: <87d04gdkkz.fsf@HIDDEN>
 <87y2n3bpin.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="qjceqhrtifrajbde"
Content-Disposition: inline
In-Reply-To: <87y2n3bpin.fsf@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42342
Cc: 42342 <at> debbugs.gnu.org, Tobias Geerinckx-Rice <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--qjceqhrtifrajbde
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Jul 28, 2020 at 05:58:08PM +0200, Pierre Neidhardt wrote:
> Cc-ing to Tobias and Jakub.
>=20
> --=20
> Pierre Neidhardt
> https://ambrevar.xyz/

Hi,

I can't reproduce this. I usually use 32-bit wine, so when it complained
about the bitness of the wineprefix, I did

$ mv ~/.wine ~/.wine32

then

$ guix environment --ad-hoc wine64 -- wine64 regedit

fired up the registry editor just fine.

Regards,
Jakub K=C4=85dzio=C5=82ka

--qjceqhrtifrajbde
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEE5Xa/ss9usT31cTO54xWnWEYTFWQFAl8i3zUACgkQ4xWnWEYT
FWS8ghAArPhND1r5fneLmO4piQ2fZdb3zJVF72SWJuoVDVl9bhFKqq+AvjMhXoBk
+yTB1/c+dV+T0o/LmyHXPTy55eAvbJji0rmf+/dGAATbLhG9DeubLtXLFoDlLvLc
Q7yaAmkdkf0zZMLMt+qcN6Q5gcyLDmtEqV7Ry0I4g59q1BXrN6euvd6infYsRy2A
99IKs5PEjoLvpVlvM4PfvT/5fAx6naBDm3ghY7CW2e6dJN4SyHwLH6PzxvVAcPjl
Y69owVNRsfKl2lokFeWSffG7DDOr7/EjMZRPVjkQ68ugD34+FPyzucL8bd82OonI
RL5csiajweK91Q2mEO/3FF5g/7Myr7BjRgiWbAbhrhG+62fWXxoUGCixAllh773c
m/uOJDJ4IZdumKloFRzyurLbFvLjJGXiXAmGxRUzIgCIW0cV5mnXBUk7+xNMQDIe
7AeS3vWNm0jUsaZZTtqEmtjcH49/7PYn/g5ggumMKt1T788YTgQynKY0TuLIxzzt
pJIJH12gV22FuFe3uKj8jnaJCO3EN6vuwg9A9YvYJ0S5Q+gpOeU6SAj25//lLUur
Dp43KlDQpLGdZiQQJbW8SB6XAdN8dImVXTw2jZobriAmZCjFo8cqEoAymxDW66VS
umH7E93QoSIELBeo4TTOyLqXRBVY+7moSwGnJy2k7lye3Yf5qVA=
=zh9O
-----END PGP SIGNATURE-----

--qjceqhrtifrajbde--




Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at 42342 <at> debbugs.gnu.org:


Received: (at 42342) by debbugs.gnu.org; 29 Jul 2020 10:33:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 29 06:33:57 2020
Received: from localhost ([127.0.0.1]:60188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0jPI-0002ct-KZ
	for submit <at> debbugs.gnu.org; Wed, 29 Jul 2020 06:33:56 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:33909)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1k0jPG-0002ca-LR
 for 42342 <at> debbugs.gnu.org; Wed, 29 Jul 2020 06:33:55 -0400
X-Originating-IP: 86.246.37.13
Received: from bababa (lfbn-idf2-1-572-13.w86-246.abo.wanadoo.fr
 [86.246.37.13]) (Authenticated sender: mail@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 67A821BF204;
 Wed, 29 Jul 2020 10:33:47 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: Wine64 segfaults (5.12/staging)
In-Reply-To: <87lfj3zj5k.fsf@nckx>
References: <87d04gdkkz.fsf@HIDDEN> <87y2n3bpin.fsf@HIDDEN>
 <87o8nzzk18.fsf@nckx> <87ft9bli3i.fsf@HIDDEN> <87lfj3zj5k.fsf@nckx>
Date: Wed, 29 Jul 2020 12:33:46 +0200
Message-ID: <87v9i6bofp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 42342
Cc: 42342 <at> debbugs.gnu.org,
 Jakub =?utf-8?B?S8SFZHppb8WCa2E=?= <kuba@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Is it working for you?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl8hUIoACgkQm9z0l6S7
zH+ooQgAhs4OSA2jwYoi6nsxbh0YQw3zXczKJUDDmmAbZ/Zi7QhFHbJqfC2EFVy8
dcz8Zjb0RDCIvA54neRNSSLztc6lXqIotuzEOxJIhFHRH7whiFuDIK0CGeiNYpTO
cRlxBSZLPTUfWy8hD4g5v0S5DTkmuVkpzhfRb2NJ1Bo8y8olIThX+7IBdB5utmUD
p2UNnydVelQDTQFy+K2LK5maVuWwr/JHFM13lywW1HgUvrXbJJBW52D3zeNHJ0rL
vT3VryorqP/EbUhLNLc4cnIwmT5lYoiJQx1qRQpaIOJcfUnrFxsoT6rI0BbBvd2i
pF/yyQkcbh+9FDXThpHpkDIaj8+XHA==
=8rjy
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at 42342 <at> debbugs.gnu.org:


Received: (at 42342) by debbugs.gnu.org; 28 Jul 2020 17:36:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 13:36:51 2020
Received: from localhost ([127.0.0.1]:59012 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0TX1-0006bH-02
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2020 13:36:51 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:21930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1k0TWy-0006b6-47
 for 42342 <at> debbugs.gnu.org; Tue, 28 Jul 2020 13:36:49 -0400
Received: from nijino.local (213-147-177-210.hdsl.highway.telekom.at
 [213.147.177.210])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4BGP4D3wPJz3wFP;
 Tue, 28 Jul 2020 19:36:44 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1595957804;
 bh=7lh0jOXdoOt9t+tyEwyi9LT2+EcoquMX6Pc3e4SrZvs=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=QO/574XmZvjIL06qmPyq5nfzXM23Kd5DKnOXQJtR8zbaHGczh+5VxduRN/KibQLAK
 FjsrMzWPvxtDz+2UrYqeTTuzn0OXt93KP35vggwgfWCwdG9+MrzuAmvIsFG+JluaKp
 1KCA8I5XY+hrO2jnftDd4kUqSX/lM7AqZQHGg19M=
Message-ID: <d1d54576efda64cb6b226be2bb47c7d1cb73b5b5.camel@HIDDEN>
Subject: Re: bug#42342: Wine64 segfaults (5.12/staging)
From: Leo Prikler <leo.prikler@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Date: Tue, 28 Jul 2020 19:36:43 +0200
In-Reply-To: <87ft9bzim7.fsf@nckx>
References: <0f14a6d95dbdd04c8ff9da03a47f0d205a5e1002.camel@HIDDEN>
 <dd6d9d2a043c5c40a3edebc9c797d5c5b4721bdb.camel@HIDDEN>
 <87ft9bzim7.fsf@nckx>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42342
Cc: 42342 <at> debbugs.gnu.org, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Dienstag, den 28.07.2020, 18:53 +0200 schrieb Tobias Geerinckx-Rice:
> Leo Prikler 写道:
> > I'll use inferiors as a local workaround for the time being and 
> > wait
> > for the problem to be fixed upstream.  I'll also look into 5.9 
> > to 5.11
> > and perhaps provide a proper downgrade patch later on.
> 
> I admit to being a bit confused.  IIRC on #guix you reported that 
> wine-staging was broken, not wine64-staging.  If you only want to 
> downgrade the latter, that's all right by me, but I consider that 
> one of the risks of using the staging branch to begin with.
> 
> Is there a reason you rely on staging, and the 64-bit version to 
> boot?
> 
> Kind regards,
> 
> T G-R
I'm referring to the package "wine64-staging", which is on master.  I
may have been confused myself at the time I mentioned this in #guix,
but now I have tested this a bit more thoroughly.

For one, I've historically been using wine64, since (at least on Guix)
it works with both 32bit and 64bit software and I sometimes stumble
upon the latter.  As a result, I have a 64bit wine prefix and using
wine (or wine-staging) does not really work well with that.  I was able
to determine that plain wine is unaffected by running the same commands
on a machine with no existing prefix.  (Note, that regular wine64 still
fails with a fresh prefix.)  My experiments with wine64-staging were
solely meant as a way of finding the point at which wine64 fails, I
have no intent of actually using it for more than that.
I'm not quite sure, what exactly is at fault here.  It could be
upstream, or it could be the magic that we use to merge 32 and 64 bit
wine.

TL;DR: The affected packages are wine64 and wine64-staging, the latter
of which is broken beyond 5.8 (though 5.9 would work as well).  Since
this affects the 64bit version of wine specifically, we either have to
fix something in our build (not sure what) or desync wine and wine64
(same with -staging variants)

Regards,
Leo





Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jul 2020 17:36:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 13:36:59 2020
Received: from localhost ([127.0.0.1]:59015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0TX9-0006bh-8X
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2020 13:36:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:48990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1k0TX7-0006bZ-Jl
 for submit <at> debbugs.gnu.org; Tue, 28 Jul 2020 13:36:57 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57022)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo.prikler@HIDDEN>)
 id 1k0TX7-0004ix-DG
 for bug-guix@HIDDEN; Tue, 28 Jul 2020 13:36:57 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:37273)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo.prikler@HIDDEN>)
 id 1k0TX4-0004tH-FP
 for bug-guix@HIDDEN; Tue, 28 Jul 2020 13:36:56 -0400
Received: from nijino.local (213-147-177-210.hdsl.highway.telekom.at
 [213.147.177.210])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4BGP4D3wPJz3wFP;
 Tue, 28 Jul 2020 19:36:44 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1595957804;
 bh=7lh0jOXdoOt9t+tyEwyi9LT2+EcoquMX6Pc3e4SrZvs=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=QO/574XmZvjIL06qmPyq5nfzXM23Kd5DKnOXQJtR8zbaHGczh+5VxduRN/KibQLAK
 FjsrMzWPvxtDz+2UrYqeTTuzn0OXt93KP35vggwgfWCwdG9+MrzuAmvIsFG+JluaKp
 1KCA8I5XY+hrO2jnftDd4kUqSX/lM7AqZQHGg19M=
Message-ID: <d1d54576efda64cb6b226be2bb47c7d1cb73b5b5.camel@HIDDEN>
Subject: Re: bug#42342: Wine64 segfaults (5.12/staging)
From: Leo Prikler <leo.prikler@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Date: Tue, 28 Jul 2020 19:36:43 +0200
In-Reply-To: <87ft9bzim7.fsf@nckx>
References: <0f14a6d95dbdd04c8ff9da03a47f0d205a5e1002.camel@HIDDEN>
 <dd6d9d2a043c5c40a3edebc9c797d5c5b4721bdb.camel@HIDDEN>
 <87ft9bzim7.fsf@nckx>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
Received-SPF: pass client-ip=129.27.2.202;
 envelope-from=leo.prikler@HIDDEN; helo=mailrelay.tugraz.at
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/28 13:36:46
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -42
X-Spam_score: -4.3
X-Spam_bar: ----
X-Spam_report: (-4.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_EF=-0.1, RCVD_IN_DNSWL_MED=-2.3,
 RCVD_IN_MSPIKE_H3=-0.01, RCVD_IN_MSPIKE_WL=-0.01, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 42342 <at> debbugs.gnu.org, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Am Dienstag, den 28.07.2020, 18:53 +0200 schrieb Tobias Geerinckx-Rice:
> Leo Prikler 写道:
> > I'll use inferiors as a local workaround for the time being and 
> > wait
> > for the problem to be fixed upstream.  I'll also look into 5.9 
> > to 5.11
> > and perhaps provide a proper downgrade patch later on.
> 
> I admit to being a bit confused.  IIRC on #guix you reported that 
> wine-staging was broken, not wine64-staging.  If you only want to 
> downgrade the latter, that's all right by me, but I consider that 
> one of the risks of using the staging branch to begin with.
> 
> Is there a reason you rely on staging, and the 64-bit version to 
> boot?
> 
> Kind regards,
> 
> T G-R
I'm referring to the package "wine64-staging", which is on master.  I
may have been confused myself at the time I mentioned this in #guix,
but now I have tested this a bit more thoroughly.

For one, I've historically been using wine64, since (at least on Guix)
it works with both 32bit and 64bit software and I sometimes stumble
upon the latter.  As a result, I have a 64bit wine prefix and using
wine (or wine-staging) does not really work well with that.  I was able
to determine that plain wine is unaffected by running the same commands
on a machine with no existing prefix.  (Note, that regular wine64 still
fails with a fresh prefix.)  My experiments with wine64-staging were
solely meant as a way of finding the point at which wine64 fails, I
have no intent of actually using it for more than that.
I'm not quite sure, what exactly is at fault here.  It could be
upstream, or it could be the magic that we use to merge 32 and 64 bit
wine.

TL;DR: The affected packages are wine64 and wine64-staging, the latter
of which is broken beyond 5.8 (though 5.9 would work as well).  Since
this affects the 64bit version of wine specifically, we either have to
fix something in our build (not sure what) or desync wine and wine64
(same with -staging variants)

Regards,
Leo





Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at 42342 <at> debbugs.gnu.org:


Received: (at 42342) by debbugs.gnu.org; 28 Jul 2020 16:53:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 12:53:37 2020
Received: from localhost ([127.0.0.1]:58980 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0Sqy-0005YJ-2x
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2020 12:53:37 -0400
Received: from tobias.gr ([80.241.217.52]:54698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1k0Sqv-0005Y8-Bm
 for 42342 <at> debbugs.gnu.org; Tue, 28 Jul 2020 12:53:23 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 9523beae;
 Tue, 28 Jul 2020 16:53:36 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=Fh62F4895me9J4LGOK+Cq8
 HS+zTjCDQ1XuahzBGSSuk=; b=oOmJEo2WaO/iP8GL+maaqOLDi9fzEYLIvj2CZT
 13pkZv9Bhx+Y7WqjQeQmshVrQeBI99knx3UxAhw58Oqr6JwX3yDwFgFR9kxwGxGJ
 1PC5YGa03TuWRcYxameScX2PMvTYYQZ5QkzGaLDFnbPT2W8l5DlbsTxAes7xS+Sr
 tKSTRIB0njf7q9Dk+EhSMIauqOb1yg4/mrOTABirfUhN+n6LJpQFCG7YenUh4tpi
 84kM4zpLnCdcopNup095X5QUuWoaqILRzsYlagT1T6cBkEbo5xgidHdd4LOfjedT
 00rD5AgMmoGvHEV2wThg0mTgdJd13E1G7qmN9bqxWjT0CoaQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 331c7d5e
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Tue, 28 Jul 2020 16:53:36 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>
Subject: Re: bug#42342: Wine64 segfaults (5.12/staging)
References: <0f14a6d95dbdd04c8ff9da03a47f0d205a5e1002.camel@HIDDEN>
 <dd6d9d2a043c5c40a3edebc9c797d5c5b4721bdb.camel@HIDDEN>
In-reply-to: <dd6d9d2a043c5c40a3edebc9c797d5c5b4721bdb.camel@HIDDEN>
Date: Tue, 28 Jul 2020 18:53:20 +0200
Message-ID: <87ft9bzim7.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42342
Cc: 42342 <at> debbugs.gnu.org, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Leo Prikler =E5=86=99=E9=81=93=EF=BC=9A
> I'll use inferiors as a local workaround for the time being and=20
> wait
> for the problem to be fixed upstream.  I'll also look into 5.9=20
> to 5.11
> and perhaps provide a proper downgrade patch later on.

I admit to being a bit confused.  IIRC on #guix you reported that=20
wine-staging was broken, not wine64-staging.  If you only want to=20
downgrade the latter, that's all right by me, but I consider that=20
one of the risks of using the staging branch to begin with.

Is there a reason you rely on staging, and the 64-bit version to=20
boot?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXyBYAAAKCRANsP+IT1Vt
eSKpAP94t/9rbsD5WEBilX4asX52FQ2xl4aL5DynzRcGOHGYPAEAhSKkVVdMhkXx
zjDi3On0zZUTNMRsL4r/SkqGBeoNuAc=
=uOG5
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jul 2020 16:53:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 12:53:38 2020
Received: from localhost ([127.0.0.1]:58984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0SrB-0005Yi-Gm
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2020 12:53:38 -0400
Received: from lists.gnu.org ([209.51.188.17]:44280)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1k0Sqy-0005YK-8z
 for submit <at> debbugs.gnu.org; Tue, 28 Jul 2020 12:53:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45106)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1k0Sqy-0004XA-0s
 for bug-guix@HIDDEN; Tue, 28 Jul 2020 12:53:24 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:44598)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1k0Sqw-0007If-7H
 for bug-guix@HIDDEN; Tue, 28 Jul 2020 12:53:23 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 9523beae;
 Tue, 28 Jul 2020 16:53:36 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=Fh62F4895me9J4LGOK+Cq8
 HS+zTjCDQ1XuahzBGSSuk=; b=oOmJEo2WaO/iP8GL+maaqOLDi9fzEYLIvj2CZT
 13pkZv9Bhx+Y7WqjQeQmshVrQeBI99knx3UxAhw58Oqr6JwX3yDwFgFR9kxwGxGJ
 1PC5YGa03TuWRcYxameScX2PMvTYYQZ5QkzGaLDFnbPT2W8l5DlbsTxAes7xS+Sr
 tKSTRIB0njf7q9Dk+EhSMIauqOb1yg4/mrOTABirfUhN+n6LJpQFCG7YenUh4tpi
 84kM4zpLnCdcopNup095X5QUuWoaqILRzsYlagT1T6cBkEbo5xgidHdd4LOfjedT
 00rD5AgMmoGvHEV2wThg0mTgdJd13E1G7qmN9bqxWjT0CoaQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 331c7d5e
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Tue, 28 Jul 2020 16:53:36 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>
Subject: Re: bug#42342: Wine64 segfaults (5.12/staging)
References: <0f14a6d95dbdd04c8ff9da03a47f0d205a5e1002.camel@HIDDEN>
 <dd6d9d2a043c5c40a3edebc9c797d5c5b4721bdb.camel@HIDDEN>
In-reply-to: <dd6d9d2a043c5c40a3edebc9c797d5c5b4721bdb.camel@HIDDEN>
Date: Tue, 28 Jul 2020 18:53:20 +0200
Message-ID: <87ft9bzim7.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 42342 <at> debbugs.gnu.org, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Leo Prikler =E5=86=99=E9=81=93=EF=BC=9A
> I'll use inferiors as a local workaround for the time being and=20
> wait
> for the problem to be fixed upstream.  I'll also look into 5.9=20
> to 5.11
> and perhaps provide a proper downgrade patch later on.

I admit to being a bit confused.  IIRC on #guix you reported that=20
wine-staging was broken, not wine64-staging.  If you only want to=20
downgrade the latter, that's all right by me, but I consider that=20
one of the risks of using the staging branch to begin with.

Is there a reason you rely on staging, and the 64-bit version to=20
boot?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXyBYAAAKCRANsP+IT1Vt
eSKpAP94t/9rbsD5WEBilX4asX52FQ2xl4aL5DynzRcGOHGYPAEAhSKkVVdMhkXx
zjDi3On0zZUTNMRsL4r/SkqGBeoNuAc=
=uOG5
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at 42342 <at> debbugs.gnu.org:


Received: (at 42342) by debbugs.gnu.org; 28 Jul 2020 16:41:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 12:41:47 2020
Received: from localhost ([127.0.0.1]:58947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0Sfj-0005Fk-9D
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2020 12:41:47 -0400
Received: from tobias.gr ([80.241.217.52]:54202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1k0Sfg-0005FX-HC
 for 42342 <at> debbugs.gnu.org; Tue, 28 Jul 2020 12:41:46 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id fc168916;
 Tue, 28 Jul 2020 16:41:59 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=P3bEnDyvMn4LETRyz8Q0Nt
 BCazSMuWjOMxHt92BeY9E=; b=aS8XxtTzIdzltszuCE4MyvoRehhtsL6kzvVRDf
 I1iPQ+01ahdB4tsV5ETUUznopniu8Ba2sLjDfZvptnOMQyIjWl625tkzJBWpOhdz
 /TYDTLFRnxBmQDdfjyrstg31vJ6vV61JqmpGMK5/lVY0lIWNMx2nopSOPvG1aDnD
 16DJLymzyd9CD+9I/M3SkR70CMSHIZP5auz29BMuuI2nBYw5AC3FPZET0848l0Js
 RYSTkWb3OsMcOXpD8gCyqNKPD9hq+BcFIxC7WBadYFdye8OC7UwCVSzHy3ZX5NU/
 i+ZJ0W0B/E7UH3Ol07uo3SoLuuKjxcWo7ugKNa+SEKL2qHrA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 7104bdbd
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Tue, 28 Jul 2020 16:41:59 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: Wine64 segfaults (5.12/staging)
References: <87d04gdkkz.fsf@HIDDEN> <87y2n3bpin.fsf@HIDDEN>
 <87o8nzzk18.fsf@nckx> <87ft9bli3i.fsf@HIDDEN>
In-reply-to: <87ft9bli3i.fsf@HIDDEN>
Date: Tue, 28 Jul 2020 18:41:43 +0200
Message-ID: <87lfj3zj5k.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42342
Cc: 42342 <at> debbugs.gnu.org,
 Jakub =?utf-8?B?S8SFZHppb8WCa2E=?= <kuba@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> I'm suspecting an issue with us because I doubt that upstream=20
> would fail
> to notice a completely unusable wine for 3 versions :p

What about me?

=2D-8<---------------cut here---------------start------------->8---
~/guix master =CE=BB git log gnu/packages/wine.scm | grep -B3 'gnu:=20
wine-staging.*: Update'
Author: Tobias Geerinckx-Rice <me@HIDDEN>

    gnu: wine-staging: Update to 5.13.
=2D-
Author: Tobias Geerinckx-Rice <me@HIDDEN>

    gnu: wine-staging: Update to 5.12.1.
=2D-
Author: Tobias Geerinckx-Rice <me@HIDDEN>

    gnu: wine-staging-patchset-data: Update to 5.8.
=2D-
Author: Tobias Geerinckx-Rice <me@HIDDEN>

    gnu: wine-staging-patchset-data: Update to 5.6.
=2D-8<---------------cut here---------------end--------------->8---

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXyBVRwAKCRANsP+IT1Vt
eeeZAQD+/QFYpJcrcWz5jTo8pC/gO7rEDwyvjwqZxKwkrQcnZQD/aSMsthOJqTWN
XIfjeaNFxUkNevgS/hB1kkYq7CcsKgE=
=Tmp3
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at 42342 <at> debbugs.gnu.org:


Received: (at 42342) by debbugs.gnu.org; 28 Jul 2020 16:28:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 12:28:28 2020
Received: from localhost ([127.0.0.1]:58925 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0SSq-0004sz-86
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2020 12:28:28 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:50767)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1k0SSo-0004sm-3r
 for 42342 <at> debbugs.gnu.org; Tue, 28 Jul 2020 12:28:27 -0400
Received: from mimimi (lfbn-idf2-1-572-13.w86-246.abo.wanadoo.fr
 [86.246.37.13]) (Authenticated sender: mail@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 8748210000A;
 Tue, 28 Jul 2020 16:28:18 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: Wine64 segfaults (5.12/staging)
In-Reply-To: <87o8nzzk18.fsf@nckx>
References: <87d04gdkkz.fsf@HIDDEN> <87y2n3bpin.fsf@HIDDEN>
 <87o8nzzk18.fsf@nckx>
Date: Tue, 28 Jul 2020 18:28:17 +0200
Message-ID: <87ft9bli3i.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 42342
Cc: 42342 <at> debbugs.gnu.org,
 Jakub =?utf-8?B?S8SFZHppb8WCa2E=?= <kuba@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice <me@HIDDEN> writes:

> [0]: https://bugs.winehq.org/show_bug.cgi?id=3D49380

This issue is about wine being unable to load a dll.
Here our wine segfaults, meaning it does not even get the  chance to
start before looking up the .dlls.

I'm suspecting an issue with us because I doubt that upstream would fail
to notice a completely unusable wine for 3 versions :p

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl8gUiEACgkQm9z0l6S7
zH8tqAf+MSnaDIfZ9H2x5XNp6nbCLTdbax2lkqp4Z+bEsLn0XFpO/76fsxXy8l+e
Io67Th9kPOjlkV/z3iK057rn821oF0e6D5DwfkzNQRiO8srcU86tTtQnZ9xWbAz7
EAWq0DzNKyLF+i9o5VQ0WkrMwJvXtnL/CittRoEkUJm5krxXE7JLprYwnbbxhnTW
19lRX6jfmEO91iMJCSomHdX5ebBoFFAudLxu4++osxKXuKhmbUNIbpTEKlKWGsCr
6QvmGW8FmL0lN4JyAm8faAg4y1Q7HmKg2GPX9aFhuh2eKT42aL16goYBpEzsxKjb
/i2ZdWF5DjUdqLdCxcV/SvSAAkUcLg==
=KvwS
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at 42342 <at> debbugs.gnu.org:


Received: (at 42342) by debbugs.gnu.org; 28 Jul 2020 16:22:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 12:22:46 2020
Received: from localhost ([127.0.0.1]:58906 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0SNK-0004jn-71
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2020 12:22:46 -0400
Received: from tobias.gr ([80.241.217.52]:53244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1k0SNH-0004je-KO
 for 42342 <at> debbugs.gnu.org; Tue, 28 Jul 2020 12:22:45 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id ce3b6542;
 Tue, 28 Jul 2020 16:22:58 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=5jEtMZAKBOMfOX8PjfqBMV
 yxYRb2yuJZvceWD/bXTqc=; b=KDGzjn950p2QZj5tu2aay7feoFkFO8v0pB2bmQ
 BVqrVUP6yADOWh3rG2YTJaAkY2WY0omNlstOf/u+mkE9OQ15A06SQGQ2qrEvFuu6
 6se0XeKPuGY5WLVoADTh7rNFLXusA962Dh1ARqi4/o/3q/VMMQzcc8vx5Z7t13Ms
 GH9qaWhUCti7u0zaIAZHtxdlnJhw0lKsGhfSCc3Efb9vYr5XFy1FHmxtrOj/yAXY
 UtsXW+QtrScVLCd+SZPf2F2+MuPCwCXyBaQL8ay8U+yYNLQeTI5Ihvl5hP0EDXQ6
 +OTrikw0Ev4HWnMqYwXUM5h2MDo7bRivzVGC403WOCh0vMzA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 425e45a0
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Tue, 28 Jul 2020 16:22:58 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: Wine64 segfaults (5.12/staging)
References: <87d04gdkkz.fsf@HIDDEN> <87y2n3bpin.fsf@HIDDEN>
In-reply-to: <87y2n3bpin.fsf@HIDDEN>
Date: Tue, 28 Jul 2020 18:22:43 +0200
Message-ID: <87o8nzzk18.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42342
Cc: 42342 <at> debbugs.gnu.org,
 Jakub =?utf-8?B?S8SFZHppb8WCa2E=?= <kuba@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Pierre Neidhardt =E5=86=99=E9=81=93=EF=BC=9A
> Cc-ing to Tobias and Jakub.

Thanks.  Have you reported this upstream?  It sounds similar to=20
[0].

I'm against reverting wine-staging to a previous version though.=20
If you want a stable wine, use wine.

Kind regards,

T G-R

[0]: https://bugs.winehq.org/show_bug.cgi?id=3D49380

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXyBQ0wAKCRANsP+IT1Vt
edTAAP9t8CHN/+oGIquJ7VrhMy9b+R3nDI0q38ZChbuscniV6wEAnIGi1j/pk/VD
I+O3S5gM0bqEF/sdfynJU41HbCvzegw=
=T6Mh
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at 42342 <at> debbugs.gnu.org:


Received: (at 42342) by debbugs.gnu.org; 28 Jul 2020 15:58:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 11:58:19 2020
Received: from localhost ([127.0.0.1]:58887 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0Rzf-00049U-9q
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2020 11:58:19 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:37089)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1k0Rzc-00049F-6A
 for 42342 <at> debbugs.gnu.org; Tue, 28 Jul 2020 11:58:18 -0400
X-Originating-IP: 86.246.37.13
Received: from bababa (lfbn-idf2-1-572-13.w86-246.abo.wanadoo.fr
 [86.246.37.13]) (Authenticated sender: mail@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id D8B786000B;
 Tue, 28 Jul 2020 15:58:08 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: 42342 <at> debbugs.gnu.org
Subject: Re: Wine64 segfaults (5.12/staging)
In-Reply-To: <87d04gdkkz.fsf@HIDDEN>
References: <87d04gdkkz.fsf@HIDDEN>
Date: Tue, 28 Jul 2020 17:58:08 +0200
Message-ID: <87y2n3bpin.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 42342
Cc: Jakub =?utf-8?B?S8SFZHppb8WCa2E=?= <kuba@HIDDEN>,
 Tobias Geerinckx-Rice <me@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Cc-ing to Tobias and Jakub.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl8gSxAACgkQm9z0l6S7
zH9DbQf/fRKw0w+AjZURsY4kxix6DmJxYGs6TQI6677g2I7EbMzFPkLSepKCuURL
RckJcsCDboVSLiX5KtVOtz/d4GdaMFpZLlQjvKISwT7hQh0LSY70qLoBEHFkCbEa
yvzrKl3GTMDVyf2bV+w3eAfs/PSmx0b/TQUxLgyFOZkDerVbPiFoetLZWgWJE8f7
qxrzP/SMTr2KP6UMHUZ2QnTurrkdGFa5UC/Jxl357nL/R/XpXsIv/WAHrTuWF3pJ
ei89t/0coLCS14eTcWkkRNue4BF4JLQYk5ujtImZonKvZ4G8c2I7gtYO9MTgHoPw
/FsJ4KISMuQ1noDYioKugZv2+ICnVw==
=HyVR
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at 42342 <at> debbugs.gnu.org:


Received: (at 42342) by debbugs.gnu.org; 28 Jul 2020 10:01:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 28 06:01:58 2020
Received: from localhost ([127.0.0.1]:57334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k0MQo-0005cJ-Hh
	for submit <at> debbugs.gnu.org; Tue, 28 Jul 2020 06:01:58 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:53967)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1k0MQl-0005c4-P0
 for 42342 <at> debbugs.gnu.org; Tue, 28 Jul 2020 06:01:57 -0400
X-Originating-IP: 86.246.37.13
Received: from bababa (lfbn-idf2-1-572-13.w86-246.abo.wanadoo.fr
 [86.246.37.13]) (Authenticated sender: mail@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 523C0E0008
 for <42342 <at> debbugs.gnu.org>; Tue, 28 Jul 2020 10:01:48 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: 42342 <at> debbugs.gnu.org 
Subject: Re: Wine64 segfaults (5.12/staging)
Date: Tue, 28 Jul 2020 12:01:48 +0200
Message-ID: <87d04gdkkz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I can reproduce and indeed, staging 5.8 was working fine for
 me. -- Pierre Neidhardt https://ambrevar.xyz/ 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.196 listed in wl.mailspike.net]
 0.0 T_PDS_OTHER_BAD_TLD    Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.196 listed in list.dnswl.org]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 2.0 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
X-Debbugs-Envelope-To: 42342
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

I can reproduce and indeed, staging 5.8 was working fine for me.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl8f94wACgkQm9z0l6S7
zH9BBAf+N9cZnucmzXB5miuR6R0b0aJZC8XEpUTqkOAXeXStz6OALzZDj/Kvl8r/
3bwg0HFGSls9CVZ1HJGaAGWUQi22qhBjpQLk1ASl6hdbejlgzYw+H2obRmlIJ29S
ogB7PZHCAAzc/UlwEEQzjCdDzeI0t9uFMq3S96Ht4Qh/xOn6+7cizVMhjO8xihT5
JeJywVHgVdE4Fgv757eJDSXBbAvQoUapUohY7XwkSKq/VDD8YR7kh9zEdRFBNmqi
mlntJNsM5ids8iCPNN2aWjWu8IVjbTCA6+8Zr8sg9ezsaN6DkcIBNQKS2wMjUhz6
Tibnk3EPO68qPBgl7/G/tm5SPu+SvA==
=TQyN
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at 42342 <at> debbugs.gnu.org:


Received: (at 42342) by debbugs.gnu.org; 13 Jul 2020 12:25:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 13 08:25:06 2020
Received: from localhost ([127.0.0.1]:47734 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1juxW6-0005zx-4K
	for submit <at> debbugs.gnu.org; Mon, 13 Jul 2020 08:25:06 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:49783)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1juxW3-0005zY-G7
 for 42342 <at> debbugs.gnu.org; Mon, 13 Jul 2020 08:25:05 -0400
Received: from nijino.local (213-147-177-210.hdsl.highway.telekom.at
 [213.147.177.210])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4B52sS0Hwbz3x74
 for <42342 <at> debbugs.gnu.org>; Mon, 13 Jul 2020 14:24:59 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1594643100;
 bh=2qMTPH4tyuma7qBoNqXfpyCf5xWhGSNWCja1FkJj5d0=;
 h=Subject:From:To:Date;
 b=CihyCRQiflYEzxSFrYekC6qGJkdW1dQgUmWeHOIA683gpzDEsUzgkqiVzagD88xTE
 LcQlpX9JSruBGZ5OWI5TjSnw+YhfgpkD6kcrmGLLxdnazDxtjKXucfBdbh3WmlwKC8
 L99OgXh9ySt5Z0Zz0luCRYztTdYdd4nongHu4rNM=
Message-ID: <dd6d9d2a043c5c40a3edebc9c797d5c5b4721bdb.camel@HIDDEN>
Subject: Wine64 segfaults (5.12/staging)
From: Leo Prikler <leo.prikler@HIDDEN>
To: 42342 <at> debbugs.gnu.org
Date: Mon, 13 Jul 2020 14:24:58 +0200
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42342
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Interestingly enough 5.8 (ec16aaff5da9eb52b9d762531660f02e785d72de)
works without problems and there is no version packaged between it and
5.12/5.12.1 (wine64 and wine64-staging respectively).  Given this array
of results I'm pretty sure something goes wrong upstream.

I'll use inferiors as a local workaround for the time being and wait
for the problem to be fixed upstream.  I'll also look into 5.9 to 5.11
and perhaps provide a proper downgrade patch later on.

Regards, Leo





Information forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jul 2020 09:54:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 13 05:54:07 2020
Received: from localhost ([127.0.0.1]:47571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1juv9z-00008e-2W
	for submit <at> debbugs.gnu.org; Mon, 13 Jul 2020 05:54:07 -0400
Received: from lists.gnu.org ([209.51.188.17]:46470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1juv9x-00008V-Ah
 for submit <at> debbugs.gnu.org; Mon, 13 Jul 2020 05:54:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38876)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo.prikler@HIDDEN>)
 id 1juv9w-0002I3-PD
 for bug-guix@HIDDEN; Mon, 13 Jul 2020 05:54:05 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:39734)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo.prikler@HIDDEN>)
 id 1juv9t-0001tW-Vp
 for bug-guix@HIDDEN; Mon, 13 Jul 2020 05:54:04 -0400
Received: from nijino.local (213-147-177-210.hdsl.highway.telekom.at
 [213.147.177.210])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4B4zW46brdz3x7n
 for <bug-guix@HIDDEN>; Mon, 13 Jul 2020 11:53:52 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1594634032;
 bh=r21O2z2h0IdQ7sdGOXDTuk+P46t1y3/+aBznF98pQ+g=;
 h=Subject:From:To:Date;
 b=emvaM8WmkSwd+oJJCo6A8c1LQceAxBwI+oE8jlkf0m6+7W5pV/gn71UCDC2Mh0vZc
 PzI2A8D2SeBsnm7spmvcQpss8I1XG8SRcuKNGCnKXHU1jCy2anbrXKyjHc/fDx7fIZ
 klnTZO4boTLqekZ3xGyB56OYemuKDe/j/sb4YO54=
Message-ID: <0f14a6d95dbdd04c8ff9da03a47f0d205a5e1002.camel@HIDDEN>
Subject: Wine64 segfaults (5.12/staging)
From: Leo Prikler <leo.prikler@HIDDEN>
To: bug-guix@HIDDEN
Date: Mon, 13 Jul 2020 11:53:51 +0200
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -0.6
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
Received-SPF: pass client-ip=129.27.2.202;
 envelope-from=leo.prikler@HIDDEN; helo=mailrelay.tugraz.at
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/13 05:53:54
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -42
X-Spam_score: -4.3
X-Spam_bar: ----
X-Spam_report: (-4.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_EF=-0.1, RCVD_IN_DNSWL_MED=-2.3,
 RCVD_IN_MSPIKE_H3=-0.01, RCVD_IN_MSPIKE_WL=-0.01, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Since commit 065a5ed677cdd1a65acae20f185d7c4bd23b1f2c wine and wine64
are upgraded to version 5.12.  The latter segfaults when doing anything
other than wine --help or wine --version.  (Try for example wine
regedit or winecfg).

The old 5.3 version continues to work after roll-back, and would
probably also work through inferiors.  I am currently checking previous
versions of wine64-staging with guix time-machine to see at which point
the error might have been introduced.  Until now, version 5.6 from
7b23a69d6b97c463cb1ef237931af11c22c19c67 fails with the following
output:

000b:fixme:winediag:__wine_start_process Wine Staging 5.6 is a testing
version containing experimental patches.
000b:fixme:winediag:__wine_start_process Please mention your exact
version when filing bug reports on winehq.org.
0009:err:module:LdrInitializeThunk "kernelbase.dll" failed to
initialize, aborting
0009:err:module:LdrInitializeThunk Initializing dlls for
L"C:\\windows\\system32\\winecfg.exe" failed, status c0000005

Regards, Leo





Acknowledgement sent to Leo Prikler <leo.prikler@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#42342; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 9 Aug 2020 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.